
From: Marcelo Tosatti <marcelo.tosatti@cyclades.com>,
      Giuseppe Furlan

This patch has been applied to 2.4 BK tree today, 2.6 also wants it.

I cannot see luns > 8(0-7). This patch resolves problems regarding LUN
visibility using Hitachi 9960 Storage.

My configuration:
Sun Fire V65x with LP9002L-E Emulex
Hitachi 9960 Storage (scsi-2 protocol)
Inrage FC switch (Fabric)



---

 drivers/scsi/scsi_devinfo.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/scsi/scsi_devinfo.c~hitachi-scsi_devinfo-fix drivers/scsi/scsi_devinfo.c
--- 25/drivers/scsi/scsi_devinfo.c~hitachi-scsi_devinfo-fix	2004-02-19 12:33:29.000000000 -0800
+++ 25-akpm/drivers/scsi/scsi_devinfo.c	2004-02-19 12:33:29.000000000 -0800
@@ -151,6 +151,7 @@ static struct {
 	{"EMC", "SYMMETRIX", NULL, BLIST_SPARSELUN | BLIST_LARGELUN | BLIST_FORCELUN},
 	{"HP", "A6189A", NULL, BLIST_SPARSELUN | BLIST_LARGELUN},	/* HP VA7400 */
 	{"HP", "OPEN-", "*", BLIST_SPARSELUN | BLIST_LARGELUN}, /* HP XP Arrays */
+	{"HITACHI", "DISK-SUBSYSTEM", "*", BLIST_SPARSELUN | BLIST_LARGELUN},  /* HITACHI 9960 */
 	{"CMD", "CRA-7280", NULL, BLIST_SPARSELUN},	/* CMD RAID Controller */
 	{"CNSI", "G7324", NULL, BLIST_SPARSELUN},	/* Chaparral G7324 RAID */
 	{"CNSi", "G8324", NULL, BLIST_SPARSELUN},	/* Chaparral G8324 RAID */

_
